x11/py-sip6 - The NetBSD Packages Collection

Tool to create Python bindings for C++ libraries

SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries.  It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library.  For example it is also used to generate wxPython, the
Python bindings for wxWidgets.

This package contains major version 6 of sip.

Build dependencies

devel/py-setuptools pkgtools/mktools pkgtools/cwrappers

Runtime dependencies

devel/py-packaging devel/py-ply devel/py-setuptools textproc/py-toml lang/python310 lang/python310

Binary packages

OSArchitectureVersion
NetBSD 10.0aarch64py310-sip6-6.7.5.tgz
NetBSD 10.0aarch64py311-sip6-6.7.5.tgz
NetBSD 10.0aarch64py38-sip6-6.7.5.tgz
NetBSD 10.0aarch64py39-sip6-6.7.5.tgz
NetBSD 10.0earmv6hfpy310-sip6-6.7.5.tgz
NetBSD 10.0earmv6hfpy311-sip6-6.7.5.tgz
NetBSD 10.0earmv6hfpy38-sip6-6.7.5.tgz
NetBSD 10.0earmv6hfpy39-sip6-6.7.5.tgz
NetBSD 10.0earmv7hfpy310-sip6-6.7.5.tgz
NetBSD 10.0earmv7hfpy311-sip6-6.7.5.tgz
NetBSD 10.0earmv7hfpy38-sip6-6.7.5.tgz
NetBSD 10.0earmv7hfpy39-sip6-6.7.5.tgz
NetBSD 10.0x86_64py310-sip6-6.7.5.tgz
NetBSD 10.0x86_64py311-sip6-6.7.5.tgz
NetBSD 10.0x86_64py38-sip6-6.7.5.tgz
NetBSD 10.0x86_64py39-sip6-6.7.5.tgz
NetBSD 9.0aarch64py310-sip6-6.7.5.tgz
NetBSD 9.0aarch64py311-sip6-6.7.5.tgz
NetBSD 9.0aarch64py38-sip6-6.7.5.tgz
NetBSD 9.0aarch64py39-sip6-6.7.5.tgz
NetBSD 9.0alphapy310-sip6-6.7.5.tgz
NetBSD 9.0alphapy311-sip6-6.7.5.tgz
NetBSD 9.0alphapy38-sip6-6.7.5.tgz
NetBSD 9.0alphapy39-sip6-6.7.5.tgz
NetBSD 9.0earmpy310-sip6-6.7.5.tgz
NetBSD 9.0earmv6hfpy310-sip6-6.7.5.tgz
NetBSD 9.0earmv6hfpy311-sip6-6.7.5.tgz
NetBSD 9.0earmv6hfpy38-sip6-6.7.5.tgz
NetBSD 9.0earmv6hfpy39-sip6-6.7.5.tgz
NetBSD 9.0earmv7hfpy310-sip6-6.7.5.tgz
NetBSD 9.0earmv7hfpy311-sip6-6.7.5.tgz
NetBSD 9.0earmv7hfpy38-sip6-6.7.5.tgz
NetBSD 9.0earmv7hfpy39-sip6-6.7.5.tgz
NetBSD 9.0mips64ebpy310-sip6-6.7.5.tgz
NetBSD 9.0mips64ebpy311-sip6-6.7.5.tgz
NetBSD 9.0mips64ebpy38-sip6-6.7.5.tgz
NetBSD 9.0mips64ebpy39-sip6-6.7.5.tgz
NetBSD 9.0sh3elpy310-sip6-6.7.5.tgz
NetBSD 9.0sparc64py310-sip6-6.7.5.tgz
NetBSD 9.0sparc64py311-sip6-6.7.5.tgz
NetBSD 9.0sparc64py38-sip6-6.7.5.tgz
NetBSD 9.0sparc64py39-sip6-6.7.5.tgz
NetBSD 9.0sparcpy310-sip6-6.7.5.tgz
NetBSD 9.0sparcpy311-sip6-6.7.5.tgz
NetBSD 9.0sparcpy38-sip6-6.7.5.tgz
NetBSD 9.0sparcpy39-sip6-6.7.5.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.